<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_error_task".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanErrorTask".
 *
 * Columns in table "scan_error_task" available as properties of the model,
 * followed by relations of table "scan_error_task" available as properties of the model.
 *
 * @property string $id
 * @property integer $scan_error_id
 * @property string $scan_error_detail_id
 * @property string $scan_task_id
 *
 * @property ScanError $scanError
 * @property ScanErrorDetail $scanErrorDetail
 * @property ScanTask $scanTask
 */
abstract class BaseScanErrorTask extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_error_task';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanErrorTask|ScanErrorTasks', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('scan_error_id', 'numerical', 'integerOnly'=>true),
            array('scan_error_detail_id, scan_task_id', 'length', 'max'=>10),
            array('scan_error_id, scan_error_detail_id, scan_task_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, scan_error_id, scan_error_detail_id, scan_task_id', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanError' => array(self::BELONGS_TO, 'ScanError', 'scan_error_id'),
            'scanErrorDetail' => array(self::BELONGS_TO, 'ScanErrorDetail', 'scan_error_detail_id'),
            'scanTask' => array(self::BELONGS_TO, 'ScanTask', 'scan_task_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'scan_error_id' => null,
            'scan_error_detail_id' => null,
            'scan_task_id' => null,
            'scanError' => null,
            'scanErrorDetail' => null,
            'scanTask' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('scan_error_id', $this->scan_error_id);
        $criteria->compare('scan_error_detail_id', $this->scan_error_detail_id);
        $criteria->compare('scan_task_id', $this->scan_task_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
